| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
GaudiSequencer::AlgorithmEntry Class Referencefinal
Collaboration diagram for GaudiSequencer::AlgorithmEntry:
[legend]

## Public Member Functions
| AlgorithmEntry (Gaudi::Algorithm *alg)
| Standard constructor. More...
void | setReverse (bool flag)
Gaudi::Algorithm * | algorithm () const
bool | reverse () const
void | setTimer (int nb)
int | timer () const

## Private Attributes
Gaudi::Algorithm * | m_algorithm = nullptr
| Algorithm pointer. More...
bool | m_reverse = false
| Indicates that the flag has to be inverted. More...
int | m_timer = 0
| Timer number for this algorithm. More...

## Detailed Description

Definition at line 41 of file GaudiSequencer.h.

## Constructor & Destructor Documentation

## ◆ AlgorithmEntry()

GaudiSequencer::AlgorithmEntry::AlgorithmEntry | ( | Gaudi::Algorithm * | alg | ) |
| inline

Standard constructor.

Definition at line 44 of file GaudiSequencer.h.

44 : m_algorithm( alg ) {}
ManySmallAlgs.alg
alg
Definition: ManySmallAlgs.py:69
GaudiSequencer::AlgorithmEntry::m_algorithm
Gaudi::Algorithm * m_algorithm
Algorithm pointer.
Definition: GaudiSequencer.h:54

## Member Function Documentation

## ◆ algorithm()

Gaudi::Algorithm* GaudiSequencer::AlgorithmEntry::algorithm | ( |  | ) | const
| inline

Definition at line 48 of file GaudiSequencer.h.

48 { return m_algorithm; }
GaudiSequencer::AlgorithmEntry::m_algorithm
Gaudi::Algorithm * m_algorithm
Algorithm pointer.
Definition: GaudiSequencer.h:54

## ◆ reverse()

bool GaudiSequencer::AlgorithmEntry::reverse | ( |  | ) | const
| inline

Definition at line 49 of file GaudiSequencer.h.

49 { return m_reverse; }
GaudiSequencer::AlgorithmEntry::m_reverse
bool m_reverse
Indicates that the flag has to be inverted.
Definition: GaudiSequencer.h:55

## ◆ setReverse()

void GaudiSequencer::AlgorithmEntry::setReverse | ( | bool | flag | ) |
| inline

Definition at line 46 of file GaudiSequencer.h.

46 { m_reverse = flag; }
GaudiSequencer::AlgorithmEntry::m_reverse
bool m_reverse
Indicates that the flag has to be inverted.
Definition: GaudiSequencer.h:55

## ◆ setTimer()

void GaudiSequencer::AlgorithmEntry::setTimer | ( | int | nb | ) |
| inline

Definition at line 50 of file GaudiSequencer.h.

50 { m_timer = nb; }
GaudiSequencer::AlgorithmEntry::m_timer
int m_timer
Timer number for this algorithm.
Definition: GaudiSequencer.h:56

## ◆ timer()

int GaudiSequencer::AlgorithmEntry::timer | ( |  | ) | const
| inline

Definition at line 51 of file GaudiSequencer.h.

51 { return m_timer; }
GaudiSequencer::AlgorithmEntry::m_timer
int m_timer
Timer number for this algorithm.
Definition: GaudiSequencer.h:56

## Member Data Documentation

## ◆ m_algorithm

Gaudi::Algorithm* GaudiSequencer::AlgorithmEntry::m_algorithm = nullptr
| private

Algorithm pointer.

Definition at line 54 of file GaudiSequencer.h.

## ◆ m_reverse

bool GaudiSequencer::AlgorithmEntry::m_reverse = false
| private

Indicates that the flag has to be inverted.

Definition at line 55 of file GaudiSequencer.h.

## ◆ m_timer

int GaudiSequencer::AlgorithmEntry::m_timer = 0
| private

Timer number for this algorithm.

Definition at line 56 of file GaudiSequencer.h.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/GaudiSequencer.h